On Thu, Nov 02, 2017 at 12:02:33PM +0100, Roland Hieber wrote:
> With PHP5_SAPI_APXSFILTER as the top-most selectable choice, it gets
> selected as default when PHP5 is selected. This pulls in a fairly high
> footprint of other dependencies, namely (host-)apache2, which might not
> even be needed when PHP5 is selected as a dependency by other packages
> for PHP5_SAPI_CLI only.
> 
> Bring PHP5_SAPI_NONE to the top of the choice block so it gets selected
> by default when PHP5 is selected. This pulls in PHP5_SAPI_CLI, but no
> further external dependencies.
> 
> Signed-off-by: Roland Hieber <r.hie...@pengutronix.de>
> ---
>  rules/php5.in | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
> 
> diff --git a/rules/php5.in b/rules/php5.in
> index df352a062..4b88a585d 100644
> --- a/rules/php5.in
> +++ b/rules/php5.in
> @@ -37,6 +37,11 @@ config PHP5_INI
>  choice
>       prompt "SAPI Module"

do this instead:

        default PHP5_SAPI_NONE

It has the same effect but makes it more explicit.

Michael

>  
> +config PHP5_SAPI_NONE
> +     bool
> +     prompt "none"
> +     select PHP5_SAPI_CLI
> +
>  config PHP5_SAPI_AOLSERVER
>       bool
>       prompt "aolserver"
> @@ -153,11 +158,6 @@ config PHP5_SAPI_CGI
>       help
>         Build CGI version of PHP.
>  
> -config PHP5_SAPI_NONE
> -     bool
> -     prompt "none"
> -     select PHP5_SAPI_CLI
> -
>  endchoice
>  
>  config PHP5_SAPI_CLI
> -- 
> 2.11.0
> 
> 
> _______________________________________________
> ptxdist mailing list
> ptxdist@pengutronix.de

-- 
Pengutronix e.K.                           |                             |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |
Peiner Str. 6-8, 31137 Hildesheim, Germany | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |

_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

Reply via email to